local assets=
{
	Asset("ANIM", "anim/smo_fx.zip"),
}

local function onfinished(inst)
	inst:Remove()
end


local function onsewn(inst, target, doer)
	if doer.SoundEmitter then
		doer.SoundEmitter:PlaySound("dontstarve/HUD/repair_clothing")
	end
end

local function fn()
   	local inst = CreateEntity()
    	inst.entity:AddTransform()
    	inst.entity:AddAnimState()

         inst.AnimState:SetBank("max_fx")
        inst.AnimState:SetBuild("smo_fx")
        inst.AnimState:PlayAnimation("anim")

        inst:AddTag("FX")
        inst.persists = false
        inst:ListenForEvent("animover", function() inst:Remove() end)

        return inst
end

return Prefab( "common/fx/poison_smoke", fn, assets) 


